import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimStatusSchema } from '../enums/ClaimStatus.schema'

const makeSchema = () => z.object({
  set: ClaimStatusSchema.optional()
}).strict();
export const EnumClaimStatusFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumClaimStatusFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumClaimStatusFieldUpdateOperationsInput>;
export const EnumClaimStatusFieldUpdateOperationsInputObjectZodSchema = makeSchema();
